Bug 647005 - blockdevicemapping.build_list_parameters references 'pre' before assignment
Summary: blockdevicemapping.build_list_parameters references 'pre' before assignment
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-boto
Version: 13
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-26 19:46 UTC by Garrett Holmstrom
Modified: 2011-03-01 00:00 UTC (History)
2 users (show)

Fixed In Version: python-boto-1.9b-6.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-18 21:24:08 UTC


Attachments (Terms of Use)
Patch for blockdevicemapping.py (554 bytes, application/octet-stream)
2010-10-26 19:46 UTC, Garrett Holmstrom
no flags Details

Description Garrett Holmstrom 2010-10-26 19:46:23 UTC
Created attachment 455857 [details]
Patch for blockdevicemapping.py

Description of problem:
The build_list_parameters function only contains half of the fix applied by upstream commit 79f6a6cc7b2420440091.  Specifically, line 78 refers to a function parameter that was renamed.

Line 78 says:
pre = '%sBlockDeviceMapping.%d' % (pre, i)

...while it should say:
pre = '%sBlockDeviceMapping.%d' % (prefix, i)


Version-Release number of selected component (if applicable):
python-boto-1.9b-2.fc13.noarch


How reproducible:
Attempt to call build_list_parameters with any parameters


Steps to Reproduce:
$ euca-run-instances --instance-type t1.micro --block-device-mapping /dev/sda1=:20 ami-266c984f
local variable 'pre' referenced before assignment


Additional info:
A patch that fixes this is attached.

Comment 1 Fedora Update System 2010-11-18 21:23:54 UTC
python-boto-1.9b-4.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/python-boto-1.9b-4.fc13

Comment 2 Fedora Update System 2010-11-18 21:23:57 UTC
python-boto-1.9b-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/python-boto-1.9b-4.fc14

Comment 3 Fedora Update System 2010-11-18 21:23:59 UTC
python-boto-1.9b-4.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/python-boto-1.9b-4.fc12

Comment 4 Fedora Update System 2010-12-02 10:27:50 UTC
python-boto-1.9b-5.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/python-boto-1.9b-5.fc14

Comment 5 Fedora Update System 2011-01-02 23:24:47 UTC
python-boto-1.9b-6.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python-boto-1.9b-6.el5

Comment 6 Fedora Update System 2011-01-03 20:09:02 UTC
python-boto-1.9b-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2011-01-17 20:57:52 UTC
python-boto-1.9b-5.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-02-28 23:59:58 UTC
python-boto-1.9b-6.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.